/* ESP8266_wifi_scan

   Pásztázza az elérhető WiFi hálózatokat
   Program forrása:
   https://arduino-esp8266.readthedocs.io/en/latest/esp8266wifi/scan-examples.html

   Tested with ESP8266 Arduino Core v2.7.4 and Arduino IDE 1.8.13
*/
#include "ESP8266WiFi.h"

void setup() {
  Serial.begin(115200);
  Serial.println();
  WiFi.mode(WIFI_STA);
  WiFi.disconnect();
  delay(100);
}

void loop() {
  Serial.print("Scan start ... ");
  int n = WiFi.scanNetworks();
  Serial.print(n);
  Serial.println(" network(s) found");
  for (int i = 0; i < n; i++) {
    Serial.println(WiFi.SSID(i));
  }
  Serial.println();
  delay(5000);
}
